CocoaTweet::API::DirectMessages::DirectMessage Class Reference

Entory point for statuses/*. More...

`#include <directMessage.h>`

Inheritance diagram for CocoaTweet::API::DirectMessages::DirectMessage:
[legend]
Collaboration diagram for CocoaTweet::API::DirectMessages::DirectMessage:
[legend]

## Public Member Functions

| DirectMessage ()=default
| DirectMessage (std::shared_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| constructor which finally should to be called. More...
void | messageCreate (const std::string &_recipient, const std::string &_message)

## Additional Inherited Members

Protected Attributes inherited from CocoaTweet::API::groupInterface
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_

## Detailed Description

Entory point for statuses/*.

## Constructor & Destructor Documentation

## DirectMessage() [1/2]

CocoaTweet::API::DirectMessages::DirectMessage::DirectMessage | ( |  | ) |

default

## DirectMessage() [2/2]

CocoaTweet::API::DirectMessages::DirectMessage::DirectMessage | ( | std::shared_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

constructor which finally should to be called.

Parameters

  [in] | std::shared_ptr<CocoaTweet::OAuth::OAuth1> | : pointer to OAuth object

## Member Function Documentation

## messageCreate()

void CocoaTweet::API::DirectMessages::DirectMessage::messageCreate | ( | const std::string & | _recipient,
|  | const std::string & | _message
| ) |  |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/directMessage/directMessage.h
- src/cocoatweet/api/directMessage/directMessage.cc